[arch-commits] Commit in texlive-langjapanese/repos (4 files)
Rémy Oudompheng
remy at archlinux.org
Tue Sep 1 10:31:52 UTC 2015
Date: Tuesday, September 1, 2015 @ 12:31:51
Author: remy
Revision: 245147
archrelease: copy trunk to testing-any
Added:
texlive-langjapanese/repos/testing-any/
texlive-langjapanese/repos/testing-any/PKGBUILD
(from rev 245146, texlive-langjapanese/trunk/PKGBUILD)
texlive-langjapanese/repos/testing-any/texlive-langjapanese.maps
(from rev 245146, texlive-langjapanese/trunk/texlive-langjapanese.maps)
texlive-langjapanese/repos/testing-any/texlive.install
(from rev 245146, texlive-langjapanese/trunk/texlive.install)
---------------------------+
PKGBUILD | 61 ++++++++++++++++++++++++++++++++++++++++++++
texlive-langjapanese.maps | 12 ++++++++
texlive.install | 52 +++++++++++++++++++++++++++++++++++++
3 files changed, 125 insertions(+)
Copied: texlive-langjapanese/repos/testing-any/PKGBUILD (from rev 245146, texlive-langjapanese/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD (rev 0)
+++ testing-any/PKGBUILD 2015-09-01 10:31:51 UTC (rev 245147)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langjapanese
+pkgver=2015.37454
+_revnr=${pkgver#2015.}
+pkgrel=1
+pkgdesc="TeX Live - Fonts and macro packages to typeset Japanese texts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+install=texlive.install
+md5sums=('4c59e869ba09488683d93b7a6e960130'
+ '32fad480fe677ac23a9e046d881a5bd7')
+
+build() {
+ cd "$srcdir"
+ for p in *.tar.xz; do
+ bsdtar -xf $p
+ done
+ rm -rf tlpkg
+}
+
+package() {
+ install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+ sed -i '/^#/d' CONTENTS
+ install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+ install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+ install -m755 -d $pkgdir/usr/share
+ wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+ for dir in $wanteddirs; do
+ find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+ find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+ done
+ if [[ -d texmf-dist ]]; then
+ find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+ find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+ fi
+ if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+ find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+ fi
+
+ # scripts links
+ _linked_scripts="
+convbkmk/convbkmk.rb
+ptex2pdf/ptex2pdf.lua
+jfontmaps/kanji-config-updmap.pl
+jfontmaps/kanji-config-updmap-sys.sh
+jfontmaps/kanji-fontmap-creator.pl
+"
+ install -m755 -d $pkgdir/usr/bin
+ for _script in ${_linked_scripts}; do
+ _scriptbase=$(basename $_script)
+ _scriptbase=${_scriptbase%.*}
+ ln -s /usr/share/texmf-dist/scripts/${_script} ${pkgdir}/usr/bin/${_scriptbase}
+ done
+}
Copied: texlive-langjapanese/repos/testing-any/texlive-langjapanese.maps (from rev 245146, texlive-langjapanese/trunk/texlive-langjapanese.maps)
===================================================================
--- testing-any/texlive-langjapanese.maps (rev 0)
+++ testing-any/texlive-langjapanese.maps 2015-09-01 10:31:51 UTC (rev 245147)
@@ -0,0 +1,12 @@
+KanjiMap morisawa.map
+KanjiMap otf- at kanjiEmbed@.map
+KanjiMap otf-cktx.map
+KanjiMap otf-up- at kanjiEmbed@.map
+KanjiMap ptex- at kanjiEmbed@@kanjiVariant at .map
+KanjiMap uptex- at kanjiEmbed@@kanjiVariant at .map
+Map dgj.map
+Map dmj.map
+Map mc2j.map
+Map mcj.map
+Map mr2j.map
+Map mrj.map
Copied: texlive-langjapanese/repos/testing-any/texlive.install (from rev 245146, texlive-langjapanese/trunk/texlive.install)
===================================================================
--- testing-any/texlive.install (rev 0)
+++ testing-any/texlive.install 2015-09-01 10:31:51 UTC (rev 245147)
@@ -0,0 +1,52 @@
+PKGNAME="texlive-langcjk"
+UPDMAP="etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="etc/texmf/web2c/updmap-local.cfg"
+SYNCWITHTREES=''
+
+MAPFILE="var/lib/texmf/arch/installedpkgs/$PKGNAME.maps"
+
+post_install() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
+
+post_upgrade() {
+ TMPFILE=`mktemp`
+ echo ">>> texlive: saving updmap.cfg as $TMPFILE..."
+ cp "$UPDMAP" "$TMPFILE"
+ echo ">>> texlive: regenerating updmap.cfg (custom additions should go"
+ echo " into /etc/texmf/web2c/updmap-local.cfg"
+ cp usr/share/texmf-dist/web2c/updmap-hdr.cfg $UPDMAP
+ cat var/lib/texmf/arch/installedpkgs/*.maps >> $UPDMAP
+ [ -f "$UPDMAPLOCAL" ] && cat "$UPDMAPLOCAL" >> $UPDMAP
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash $SYNCWITHTREES
+ echo " done."
+}
+
+pre_remove() {
+for m in `cut -d' ' -f2 $MAPFILE`; do
+ sed -i "/\s$m/d" $UPDMAP ;
+done
+}
+
+post_remove() {
+ echo ">>> texlive: updating the filename database..."
+ usr/bin/mktexlsr
+ echo ">>> texlive: updating the fontmap files with updmap..."
+ usr/bin/updmap-sys --quiet --nohash
+ echo " done."
+}
More information about the arch-commits
mailing list